Subject: RE: ASN.1 vs. XML (used to be RE: I-D ACTION:draft-ietf-pkix-scvp - 00.txt)

From: Michael Zolotarev <[email-masked]>
Date: Mon, 12 Jul 1999 11:27:47 +1000

Andrew,

What you are saying is obviously right. Except, it is only true if you look at the matter from the Microsoft's "Where do you want to go..." position.
However, this group, and the directions/decisions it takes, should not be 100% influenced by the well-appreciated difficulties the industry might be having today and in the nearest future. Because tomorrow the same industry will blame us for not looking forward beyond 2 or some years.

Just imagine what your arguments would've been 3 years ago, had we have a 'WindowsHelpFile' vs. HTML format discussion :).

I am not the greatest defender of switching from ASN.1 to XML. As well as you, I do not see much rational in doing so, at least at this stage. But the matter apparently deserves technical(!) discussion, before the industry starts even looking on more practical implications of it.

Just look at how much response we got for the last few days - I haven't seeing so many new names in the list for months. Which proves that there is obvious interest out there, whatever speculative it might be.

MichaelZ

-----Original Message-----
From: Andrew Probert [mailto:[email-masked]]
Sent: Monday, July 12, 1999 11:06 AM
To: 'PKIX-List'
Subject: RE: ASN.1 vs XML (used to be RE: I-D
ACTION:draft-ietf-pkix-scvp- 00.txt)

Get real guys.

There's millions of deployed certificate-using clients in Microsoft
(CryptoAPI), Netscape (PKCS#11), Lotus (PKCS#11), not to mention Java
implementations and hardware vendor implementations like CISCO, that have
built-in decoders for certificates 

These mega-mass market products are on 2 year lead-times, so next year's
products are already half constructed now.  Not to mention Win2000 that is
imminent.

They work, they are out there.

Not to mention the CAs who have got sizeable investment in certificate
issuing systems that already work and deployed and vendors that have
investment in CSPs and PKCS#11 drivers for smartcards.  We Rotek/SNS are in
these categories and we certainly do not want to rebuild, we are busy
deploying!

There are video player manufacturers, CD-ROM manufacturers who have voted
for the 'best' standard and still been left behind by the market.  I am not
going to argue the benefits of XML versus ASN.1, but suggest that the market
and major players have voted with their feet a few years ago.

Andew Probert
Rotek Consulting   http://www.rotek.com.au
a Division of Secure Network Solutions
Tel  +61 3 9690 8877
Fax +61 3 9690 8171